diff --git a/python/macholib/macholib_tests/test_ptypes.py b/python/macholib/macholib_tests/test_ptypes.py
index f221d37d32..d6fdd328f6 100644
--- a/python/macholib/macholib_tests/test_ptypes.py
+++ b/python/macholib/macholib_tests/test_ptypes.py
@@ -14,7 +14,7 @@ except ImportError:
 import mmap
 
 try:
-    long
+    int
 except NameError:
     long = int
 
@@ -37,7 +37,7 @@ class TestPTypes (unittest.TestCase):
         self.assertRaises(ValueError, ptypes.sizeof, {})
         self.assertRaises(ValueError, ptypes.sizeof, b"foo".decode('ascii'))
 
-        class M (object):
+        class M :
             pass
 
         m = M()
@@ -89,10 +89,10 @@ class TestPTypes (unittest.TestCase):
         self.verifyType(ptypes.p_uint16, 2, int, [1, 400, 65000])
 
         self.verifyType(ptypes.p_int32, 4, int, [1, 400, 2**24, -10, -5000, -2**24])
-        self.verifyType(ptypes.p_uint32, 4, long, [1, 400, 2*31+5, 65000])
+        self.verifyType(ptypes.p_uint32, 4, int, [1, 400, 2*31+5, 65000])
 
-        self.verifyType(ptypes.p_int64, 8, long, [1, 400, 2**43, -10, -5000, -2**43])
-        self.verifyType(ptypes.p_uint64, 8, long, [1, 400, 2*63+5, 65000])
+        self.verifyType(ptypes.p_int64, 8, int, [1, 400, 2**43, -10, -5000, -2**43])
+        self.verifyType(ptypes.p_uint64, 8, int, [1, 400, 2*63+5, 65000])
 
         self.verifyType(ptypes.p_float, 4, float, [1.0, 42.5])
         self.verifyType(ptypes.p_double, 8, float, [1.0, 42.5])
@@ -105,13 +105,13 @@ class TestPTypes (unittest.TestCase):
         self.verifyType(ptypes.p_ushort, 2, int, [1, 400, 65000])
 
         self.verifyType(ptypes.p_int, 4, int, [1, 400, 2**24, -10, -5000, -2**24])
-        self.verifyType(ptypes.p_uint, 4, long, [1, 400, 2*31+5, 65000])
+        self.verifyType(ptypes.p_uint, 4, int, [1, 400, 2*31+5, 65000])
 
         self.verifyType(ptypes.p_long, 4, int, [1, 400, 2**24, -10, -5000, -2**24])
-        self.verifyType(ptypes.p_ulong, 4, long, [1, 400, 2*31+5, 65000])
+        self.verifyType(ptypes.p_ulong, 4, int, [1, 400, 2*31+5, 65000])
 
-        self.verifyType(ptypes.p_longlong, 8, long, [1, 400, 2**43, -10, -5000, -2**43])
-        self.verifyType(ptypes.p_ulonglong, 8, long, [1, 400, 2*63+5, 65000])
+        self.verifyType(ptypes.p_longlong, 8, int, [1, 400, 2**43, -10, -5000, -2**43])
+        self.verifyType(ptypes.p_ulonglong, 8, int, [1, 400, 2*63+5, 65000])
 
 class TestPTypesPrivate (unittest.TestCase):
     # These are tests for functions that aren't part of the public
diff --git a/python/macholib/setup.py b/python/macholib/setup.py
index a1a4cb6eb2..15913a4417 100644
--- a/python/macholib/setup.py
+++ b/python/macholib/setup.py
@@ -15,6 +15,7 @@ Additional functionality:
 
 """
 
+from __future__ import print_function
 import sys
 import os
 import re
@@ -28,7 +29,7 @@ import tarfile
 try:
     import urllib.request as urllib
 except ImportError:
-    import urllib
+    import six.moves.urllib.request, six.moves.urllib.parse, six.moves.urllib.error
 from distutils import log
 try:
     from hashlib import md5
@@ -36,10 +37,7 @@ try:
 except ImportError:
     from md5 import md5
 
-if sys.version_info[0] == 2:
-    from ConfigParser import RawConfigParser, NoOptionError, NoSectionError
-else:
-    from configparser import RawConfigParser, NoOptionError, NoSectionError
+from configparser import RawConfigParser, NoOptionError, NoSectionError
 
 ROOTDIR = os.path.dirname(os.path.abspath(__file__))
 
@@ -226,7 +224,7 @@ def parse_setup_cfg():
     else:
         parts = []
         for nm in v.split():
-            fp = open(nm, 'rU')
+            fp = open(nm)
             parts.append(fp.read())
             fp.close()
 
@@ -295,7 +293,7 @@ try:
 
     def get_pypi_src_download(package):
         url = 'https://pypi.python.org/pypi/%s/json'%(package,)
-        fp = urllib.urlopen(url)
+        fp = six.moves.urllib.request.urlopen(url)
         try:
             try:
                 data = fp.read()
@@ -323,7 +321,7 @@ except ImportError:
 
     def get_pypi_src_download(package):
         url = 'https://pypi.python.org/pypi/%s/json'%(package,)
-        fp = urllib.urlopen(url)
+        fp = six.moves.urllib.request.urlopen(url)
         try:
             try:
                 data = fp.read()
@@ -412,7 +410,7 @@ def _build_egg(egg, tarball, to_dir):
     # returning the result
     log.warn(egg)
     if not os.path.exists(egg):
-        raise IOError('Could not build the egg.')
+        raise OSError('Could not build the egg.')
 
 
 def _do_download(to_dir, packagename=SETUPTOOLS_PACKAGE):
@@ -437,7 +435,7 @@ def download_setuptools(packagename, to_dir):
     try:
         from urllib.request import urlopen
     except ImportError:
-        from urllib2 import urlopen
+        from urllib.request import urlopen
 
     chksum, url = get_pypi_src_download(packagename)
     tgz_name = os.path.basename(url)
@@ -579,11 +577,11 @@ else:
             import shutil
             import zipfile
             import os
-            import urllib
+            import six.moves.urllib.request, six.moves.urllib.parse, six.moves.urllib.error
             import StringIO
             from base64 import standard_b64encode
-            import httplib
-            import urlparse
+            import six.moves.http_client
+            import six.moves.urllib.parse
 
             # Extract the package name from distutils metadata
             meta = self.distribution.metadata
@@ -611,7 +609,7 @@ else:
                     fullname = os.path.join(toplevel, fn)
                     relname = os.path.relpath(fullname, 'doc/_build/html')
 
-                    print ("%s -> %s"%(fullname, relname))
+                    print(("%s -> %s"%(fullname, relname)))
 
                     zf.write(fullname, relname)
 
@@ -658,13 +656,13 @@ else:
             self.announce("Uploading documentation to %s"%(self.repository,), log.INFO)
 
             schema, netloc, url, params, query, fragments = \
-                    urlparse.urlparse(self.repository)
+                    six.moves.urllib.parse.urlparse(self.repository)
 
 
             if schema == 'http':
-                http = httplib.HTTPConnection(netloc)
+                http = six.moves.http_client.HTTPConnection(netloc)
             elif schema == 'https':
-                http = httplib.HTTPSConnection(netloc)
+                http = six.moves.http_client.HTTPSConnection(netloc)
             else:
                 raise AssertionError("unsupported schema "+schema)
 
@@ -679,22 +677,22 @@ else:
                 http.putheader('Authorization', auth)
                 http.endheaders()
                 http.send(body)
-            except socket.error:
+            except OSError:
                 e = socket.exc_info()[1]
                 self.announce(str(e), log.ERROR)
                 return
 
             r = http.getresponse()
             if r.status in (200, 301):
-                self.announce('Upload succeeded (%s): %s' % (r.status, r.reason),
+                self.announce('Upload succeeded ({}): {}'.format(r.status, r.reason),
                     log.INFO)
             else:
-                self.announce('Upload failed (%s): %s' % (r.status, r.reason),
+                self.announce('Upload failed ({}): {}'.format(r.status, r.reason),
                     log.ERROR)
 
-                print ('-'*75)
-                print (r.read())
-                print ('-'*75)
+                print(('-'*75))
+                print((r.read()))
+                print(('-'*75))
 
 
 def recursiveGlob(root, pathPattern):
@@ -718,7 +716,7 @@ def importExternalTestCases(unittest,
     """
 
     testFiles = recursiveGlob(root, pathPattern)
-    testModules = map(lambda x:x[len(root)+1:-3].replace('/', '.'), testFiles)
+    testModules = [x[len(root)+1:-3].replace('/', '.') for x in testFiles]
     if package is not None:
         testModules = [(package + '.' + m) for m in testModules]
 
@@ -728,7 +726,7 @@ def importExternalTestCases(unittest,
         try:
             module = __import__(modName)
         except ImportError:
-            print("SKIP %s: %s"%(modName, sys.exc_info()[1]))
+            print(("SKIP %s: %s"%(modName, sys.exc_info()[1])))
             continue
 
         if '.' in modName:
@@ -843,7 +841,7 @@ class test (Command):
                 xpass=len(getattr(result, 'expectedSuccesses', [])),
                 skip=len(getattr(result, 'skipped', [])),
             )
-            print("SUMMARY: %s"%(summary,))
+            print(("SUMMARY: %s"%(summary,)))
 
         finally:
             self.remove_from_sys_path()
diff --git a/python/mock-1.0.0/docs/conf.py b/python/mock-1.0.0/docs/conf.py
index 62f0491cca..6ceec605d8 100644
--- a/python/mock-1.0.0/docs/conf.py
+++ b/python/mock-1.0.0/docs/conf.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 # Mock documentation build configuration file, created by
 # sphinx-quickstart on Mon Nov 17 18:12:00 2008.
@@ -13,7 +12,7 @@
 
 import sys, os
 sys.path.insert(0, os.path.abspath('..'))
-from mock import __version__
+from unittest.mock import __version__
 
 # If your extensions are in another directory, add it here. If the directory
 # is relative to the documentation root, use os.path.abspath to make it
@@ -65,8 +64,8 @@ source_suffix = '.txt'
 master_doc = 'index'
 
 # General substitutions.
-project = u'Mock'
-copyright = u'2007-2012, Michael Foord & the mock team'
+project = 'Mock'
+copyright = '2007-2012, Michael Foord & the mock team'
 
 # The default replacements for |version| and |release|, also used in various
 # other places throughout the built documents.
@@ -187,8 +186,8 @@ latex_font_size = '12pt'
 # Grouping the document tree into LaTeX files. List of tuples
 # (source start file, target name, title, author, document class [howto/manual]).
 latex_documents = [
-  ('index', 'Mock.tex', u'Mock Documentation',
-   u'Michael Foord', 'manual'),
+  ('index', 'Mock.tex', 'Mock Documentation',
+   'Michael Foord', 'manual'),
 ]
 
 # The name of an image file (relative to this directory) to place at the top of
diff --git a/python/mock-1.0.0/mock.py b/python/mock-1.0.0/mock.py
index 1be4e6e458..171f26978e 100644
--- a/python/mock-1.0.0/mock.py
+++ b/python/mock-1.0.0/mock.py
@@ -56,13 +56,13 @@ except ImportError:
         return inner
 
 try:
-    unicode
+    str
 except NameError:
     # Python 3
-    basestring = unicode = str
+    str = str = str
 
 try:
-    long
+    int
 except NameError:
     # Python 3
     long = int
@@ -77,7 +77,7 @@ try:
     next
 except NameError:
     def next(obj):
-        return obj.next()
+        return next(obj)
 
 
 BaseExceptions = (BaseException,)
@@ -127,7 +127,7 @@ def _is_exception(obj):
     )
 
 
-class _slotted(object):
+class _slotted:
     __slots__ = ['a']
 
 
@@ -209,7 +209,7 @@ def _copy_func_details(func, funcopy):
     #funcopy.__dict__.update(func.__dict__)
     funcopy.__module__ = func.__module__
     if not inPy3k:
-        funcopy.func_defaults = func.func_defaults
+        funcopy.__defaults__ = func.__defaults__
         return
     funcopy.__defaults__ = func.__defaults__
     funcopy.__kwdefaults__ = func.__kwdefaults__
@@ -326,7 +326,7 @@ def _is_magic(name):
     return '__%s__' % name[2:-2] == name
 
 
-class _SentinelObject(object):
+class _SentinelObject:
     "A unique, named, sentinel object."
     def __init__(self, name):
         self.name = name
@@ -335,7 +335,7 @@ class _SentinelObject(object):
         return 'sentinel.%s' % self.name
 
 
-class _Sentinel(object):
+class _Sentinel:
     """Access attributes to return a named object, usable as a sentinel."""
     def __init__(self):
         self._sentinels = {}
@@ -369,13 +369,11 @@ ClassTypes = (type,)
 if not inPy3k:
     ClassTypes = (type, ClassType)
 
-_allowed_names = set(
-    [
+_allowed_names = {
         'return_value', '_mock_return_value', 'side_effect',
         '_mock_side_effect', '_mock_parent', '_mock_new_parent',
         '_mock_name', '_mock_new_name'
-    ]
-)
+}
 
 
 def _delegating_property(name):
@@ -443,7 +441,7 @@ def _check_and_set_parent(parent, value, name, new_name):
 
 
 
-class Base(object):
+class Base:
     _mock_return_value = DEFAULT
     _mock_side_effect = None
     def __init__(self, *args, **kwargs):
@@ -626,7 +624,7 @@ class NonCallableMock(Base):
 
         >>> attrs = {'method.return_value': 3, 'other.side_effect': KeyError}
         >>> mock.configure_mock(**attrs)"""
-        for arg, val in sorted(kwargs.items(),
+        for arg, val in sorted(list(kwargs.items()),
                                # we sort on the number of dots so that
                                # attributes are set before we set attributes on
                                # attributes
@@ -716,7 +714,7 @@ class NonCallableMock(Base):
             if self._spec_set:
                 spec_string = ' spec_set=%r'
             spec_string = spec_string % self._spec_class.__name__
-        return "<%s%s%s id='%s'>" % (
+        return "<{}{}{} id='{}'>".format(
             type(self).__name__,
             name_string,
             spec_string,
@@ -817,7 +815,7 @@ class NonCallableMock(Base):
         self = _mock_self
         if self.call_args is None:
             expected = self._format_mock_call_signature(args, kwargs)
-            raise AssertionError('Expected call: %s\nNot called' % (expected,))
+            raise AssertionError('Expected call: {}\nNot called'.format(expected))
 
         if self.call_args != (args, kwargs):
             msg = self._format_mock_failure_message(args, kwargs)
@@ -863,7 +861,7 @@ class NonCallableMock(Base):
                 not_found.append(kall)
         if not_found:
             raise AssertionError(
-                '%r not all found in call list' % (tuple(not_found),)
+                '{!r} not all found in call list'.format(tuple(not_found))
             )
 
 
@@ -1097,7 +1095,7 @@ def _is_started(patcher):
     return hasattr(patcher, 'is_local')
 
 
-class _patch(object):
+class _patch:
 
     attribute_name = None
     _active_patches = set()
@@ -1207,7 +1205,7 @@ class _patch(object):
             # not in Python 3
             patched.compat_co_firstlineno = getattr(
                 func, "compat_co_firstlineno",
-                func.func_code.co_firstlineno
+                func.__code__.co_firstlineno
             )
         return patched
 
@@ -1228,7 +1226,7 @@ class _patch(object):
 
         if not self.create and original is DEFAULT:
             raise AttributeError(
-                "%s does not have the attribute %r" % (target, name)
+                "{} does not have the attribute {!r}".format(target, name)
             )
         return original, local
 
@@ -1454,7 +1452,7 @@ def _patch_multiple(target, spec=None, create=False, spec_set=None,
     When used as a class decorator `patch.multiple` honours `patch.TEST_PREFIX`
     for choosing which methods to wrap.
     """
-    if type(target) in (unicode, str):
+    if type(target) in (str, str):
         getter = lambda: _importer(target)
     else:
         getter = lambda: target
@@ -1557,7 +1555,7 @@ def patch(
     )
 
 
-class _patch_dict(object):
+class _patch_dict:
     """
     Patch a dictionary, or dictionary like object, and restore the dictionary
     to its original state after the test.
@@ -1587,7 +1585,7 @@ class _patch_dict(object):
     """
 
     def __init__(self, in_dict, values=(), clear=False, **kwargs):
-        if isinstance(in_dict, basestring):
+        if isinstance(in_dict, str):
             in_dict = _importer(in_dict)
         self.in_dict = in_dict
         # support any argument supported by dict(...) constructor
@@ -1720,13 +1718,13 @@ else:
 # (as they are metaclass methods)
 # __del__ is not supported at all as it causes problems if it exists
 
-_non_defaults = set('__%s__' % method for method in [
+_non_defaults = {'__%s__' % method for method in [
     'cmp', 'getslice', 'setslice', 'coerce', 'subclasses',
     'format', 'get', 'set', 'delete', 'reversed',
     'missing', 'reduce', 'reduce_ex', 'getinitargs',
     'getnewargs', 'getstate', 'setstate', 'getformat',
     'setformat', 'repr', 'dir'
-])
+]}
 
 
 def _get_method(name, func):
@@ -1737,25 +1735,25 @@ def _get_method(name, func):
     return method
 
 
-_magics = set(
+_magics = {
     '__%s__' % method for method in
     ' '.join([magic_methods, numerics, inplace, right, extra]).split()
-)
+}
 
 _all_magics = _magics | _non_defaults
 
-_unsupported_magics = set([
+_unsupported_magics = {
     '__getattr__', '__setattr__',
     '__init__', '__new__', '__prepare__'
     '__instancecheck__', '__subclasscheck__',
     '__del__'
-])
+}
 
 _calculate_return_value = {
     '__hash__': lambda self: object.__hash__(self),
     '__str__': lambda self: object.__str__(self),
     '__sizeof__': lambda self: object.__sizeof__(self),
-    '__unicode__': lambda self: unicode(object.__str__(self)),
+    '__unicode__': lambda self: str(object.__str__(self)),
 }
 
 _return_values = {
@@ -1773,7 +1771,7 @@ _return_values = {
     '__nonzero__': True,
     '__oct__': '1',
     '__hex__': '0x1',
-    '__long__': long(1),
+    '__long__': int(1),
     '__index__': 1,
 }
 
@@ -1834,7 +1832,7 @@ def _set_return_value(mock, method, name):
 
 
 
-class MagicMixin(object):
+class MagicMixin:
     def __init__(self, *args, **kw):
         _super(MagicMixin, self).__init__(*args, **kw)
         self._mock_set_magics()
@@ -1898,7 +1896,7 @@ class MagicMock(MagicMixin, Mock):
 
 
 
-class MagicProxy(object):
+class MagicProxy:
     def __init__(self, name, parent):
         self.name = name
         self.parent = parent
@@ -1921,7 +1919,7 @@ class MagicProxy(object):
 
 
 
-class _ANY(object):
+class _ANY:
     "A helper object that compares equal to everything."
 
     def __eq__(self, other):
@@ -1942,7 +1940,7 @@ def _format_call_signature(name, args, kwargs):
     formatted_args = ''
     args_string = ', '.join([repr(arg) for arg in args])
     kwargs_string = ', '.join([
-        '%s=%r' % (key, value) for key, value in kwargs.items()
+        '{}={!r}'.format(key, value) for key, value in kwargs.items()
     ])
     if args_string:
         formatted_args = args_string
@@ -1984,7 +1982,7 @@ class _Call(tuple):
             name, args, kwargs = value
         elif _len == 2:
             first, second = value
-            if isinstance(first, basestring):
+            if isinstance(first, str):
                 name = first
                 if isinstance(second, tuple):
                     args = second
@@ -1994,7 +1992,7 @@ class _Call(tuple):
                 args, kwargs = first, second
         elif _len == 1:
             value, = value
-            if isinstance(value, basestring):
+            if isinstance(value, str):
                 name = value
             elif isinstance(value, tuple):
                 args = value
@@ -2038,7 +2036,7 @@ class _Call(tuple):
             if isinstance(value, tuple):
                 other_args = value
                 other_kwargs = {}
-            elif isinstance(value, basestring):
+            elif isinstance(value, str):
                 other_name = value
                 other_args, other_kwargs = (), {}
             else:
@@ -2048,7 +2046,7 @@ class _Call(tuple):
             # len 2
             # could be (name, args) or (name, kwargs) or (args, kwargs)
             first, second = other
-            if isinstance(first, basestring):
+            if isinstance(first, str):
                 other_name = first
                 if isinstance(second, tuple):
                     other_args, other_kwargs = second, {}
@@ -2079,7 +2077,7 @@ class _Call(tuple):
     def __getattr__(self, attr):
         if self.name is None:
             return _Call(name=attr, from_kall=False)
-        name = '%s.%s' % (self.name, attr)
+        name = '{}.{}'.format(self.name, attr)
         return _Call(name=name, parent=self, from_kall=False)
 
 
@@ -2221,7 +2219,7 @@ def create_autospec(spec, spec_set=False, instance=False, _parent=None,
         else:
             parent = mock
             if isinstance(spec, FunctionTypes):
-                parent = mock.mock
+                parent = mock
 
             new = MagicMock(parent=parent, name=entry, _new_name=entry,
                             _new_parent=parent, **kwargs)
@@ -2270,7 +2268,7 @@ def _get_class(obj):
         return type(obj)
 
 
-class _SpecState(object):
+class _SpecState:
 
     def __init__(self, spec, spec_set=False, parent=None,
                  name=None, ids=None, instance=False):
@@ -2291,7 +2289,7 @@ FunctionTypes = (
     type(_ANY.__eq__),
 )
 
-FunctionAttributes = set([
+FunctionAttributes = {
     'func_closure',
     'func_code',
     'func_defaults',
@@ -2299,7 +2297,7 @@ FunctionAttributes = set([
     'func_doc',
     'func_globals',
     'func_name',
-])
+}
 
 
 file_spec = None
diff --git a/python/mock-1.0.0/setup.py b/python/mock-1.0.0/setup.py
index 7c25e8f2dd..02c563da4e 100755
--- a/python/mock-1.0.0/setup.py
+++ b/python/mock-1.0.0/setup.py
@@ -4,7 +4,7 @@
 # E-mail: fuzzyman AT voidspace DOT org DOT uk
 # http://www.voidspace.org.uk/python/mock/
 
-from mock import __version__
+from unittest.mock import __version__
 
 import os
 
diff --git a/python/mock-1.0.0/tests/_testwith.py b/python/mock-1.0.0/tests/_testwith.py
index 0b54780b80..6df8accffa 100644
--- a/python/mock-1.0.0/tests/_testwith.py
+++ b/python/mock-1.0.0/tests/_testwith.py
@@ -2,11 +2,10 @@
 # E-mail: fuzzyman AT voidspace DOT org DOT uk
 # http://www.voidspace.org.uk/python/mock/
 
-from __future__ import with_statement
 
 from tests.support import unittest2, is_instance
 
-from mock import MagicMock, Mock, patch, sentinel, mock_open, call
+from unittest.mock import MagicMock, Mock, patch, sentinel, mock_open, call
 
 from tests.support_with import catch_warnings, nested
 
@@ -44,7 +43,7 @@ class WithTest(unittest2.TestCase):
 
 
     def test_patch_object_with_statement(self):
-        class Foo(object):
+        class Foo:
             something = 'foo'
         original = Foo.something
         with patch.object(Foo, 'something'):
diff --git a/python/mock-1.0.0/tests/support.py b/python/mock-1.0.0/tests/support.py
index 1b10c3428f..a14fcc025d 100644
--- a/python/mock-1.0.0/tests/support.py
+++ b/python/mock-1.0.0/tests/support.py
@@ -24,18 +24,18 @@ def is_instance(obj, klass):
     return issubclass(type(obj), klass)
 
 
-class SomeClass(object):
+class SomeClass:
     class_attribute = None
 
     def wibble(self):
         pass
 
 
-class X(object):
+class X:
     pass
 
 try:
     next = next
 except NameError:
     def next(obj):
-        return obj.next()
+        return next(obj)
diff --git a/python/mock-1.0.0/tests/support_with.py b/python/mock-1.0.0/tests/support_with.py
index fa286122ce..dd22c1e456 100644
--- a/python/mock-1.0.0/tests/support_with.py
+++ b/python/mock-1.0.0/tests/support_with.py
@@ -1,5 +1,3 @@
-from __future__ import with_statement
-
 import sys
 
 __all__ = ['nested', 'catch_warnings', 'examine_warnings']
@@ -38,7 +36,7 @@ except ImportError:
 try:
     from warnings import catch_warnings
 except ImportError:
-    class catch_warnings(object):
+    class catch_warnings:
         def __init__(self, record=False, module=None):
             self._record = record
             self._module = sys.modules['warnings']
@@ -49,7 +47,7 @@ except ImportError:
             if self._record:
                 args.append("record=True")
             name = type(self).__name__
-            return "%s(%s)" % (name, ", ".join(args))
+            return "{}({})".format(name, ", ".join(args))
 
         def __enter__(self):
             if self._entered:
@@ -73,7 +71,7 @@ except ImportError:
             self._module.filters = self._filters
             self._module.showwarning = self._showwarning
 
-    class WarningMessage(object):
+    class WarningMessage:
         _WARNING_DETAILS = ("message", "category", "filename", "lineno", "file",
                             "line")
         def __init__(self, message, category, filename, lineno, file=None,
diff --git a/python/mock-1.0.0/tests/testcallable.py b/python/mock-1.0.0/tests/testcallable.py
index f7dcd5e1df..e78d15b2e2 100644
--- a/python/mock-1.0.0/tests/testcallable.py
+++ b/python/mock-1.0.0/tests/testcallable.py
@@ -4,7 +4,7 @@
 
 from tests.support import is_instance, unittest2, X, SomeClass
 
-from mock import (
+from unittest.mock import (
     Mock, MagicMock, NonCallableMagicMock,
     NonCallableMock, patch, create_autospec,
     CallableMixin
diff --git a/python/mock-1.0.0/tests/testhelpers.py b/python/mock-1.0.0/tests/testhelpers.py
index f41023c371..2f37612df1 100644
--- a/python/mock-1.0.0/tests/testhelpers.py
+++ b/python/mock-1.0.0/tests/testhelpers.py
@@ -4,14 +4,14 @@
 
 from tests.support import unittest2, inPy3k
 
-from mock import (
+from unittest.mock import (
     call, _Call, create_autospec, MagicMock,
     Mock, ANY, _CallList, patch, PropertyMock
 )
 
 from datetime import datetime
 
-class SomeClass(object):
+class SomeClass:
     def one(self, a, b):
         pass
     def two(self):
@@ -49,7 +49,7 @@ class AnyTest(unittest2.TestCase):
     def test_any_mock_calls_comparison_order(self):
         mock = Mock()
         d = datetime.utcnow()
-        class Foo(object):
+        class Foo:
             def __eq__(self, other):
                 return False
             def __ne__(self, other):
@@ -352,7 +352,7 @@ class SpecSignatureTest(unittest2.TestCase):
         mock = create_autospec(f, return_value='foo')
         self.assertEqual(mock(), 'foo')
 
-        class Foo(object):
+        class Foo:
             pass
 
         mock = create_autospec(Foo, return_value='foo')
@@ -367,7 +367,7 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_mocking_unbound_methods(self):
-        class Foo(object):
+        class Foo:
             def foo(self, foo):
                 pass
         p = patch.object(Foo, 'foo')
@@ -380,7 +380,7 @@ class SpecSignatureTest(unittest2.TestCase):
     @unittest2.expectedFailure
     def test_create_autospec_unbound_methods(self):
         # see issue 128
-        class Foo(object):
+        class Foo:
             def foo(self):
                 pass
 
@@ -395,7 +395,7 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_create_autospec_keyword_arguments(self):
-        class Foo(object):
+        class Foo:
             a = 3
         m = create_autospec(Foo, a='3')
         self.assertEqual(m.a, '3')
@@ -435,7 +435,7 @@ class SpecSignatureTest(unittest2.TestCase):
 
         self.assertRaises(AttributeError, getattr, mock, 'foo')
 
-        class Foo(object):
+        class Foo:
             foo = []
 
         mock = create_autospec(Foo)
@@ -532,7 +532,7 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_descriptors(self):
-        class Foo(object):
+        class Foo:
             @classmethod
             def f(cls, a, b):
                 pass
@@ -578,7 +578,7 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_recursive(self):
-        class A(object):
+        class A:
             def a(self):
                 pass
             foo = 'foo bar baz'
@@ -601,10 +601,10 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_spec_inheritance_for_classes(self):
-        class Foo(object):
+        class Foo:
             def a(self):
                 pass
-            class Bar(object):
+            class Bar:
                 def f(self):
                     pass
 
@@ -637,7 +637,7 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_inherit(self):
-        class Foo(object):
+        class Foo:
             a = 3
 
         Foo.Foo = Foo
@@ -698,12 +698,12 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_skip_attributeerrors(self):
-        class Raiser(object):
+        class Raiser:
             def __get__(self, obj, type=None):
                 if obj is None:
                     raise AttributeError('Can only be accessed via an instance')
 
-        class RaiserClass(object):
+        class RaiserClass:
             raiser = Raiser()
 
             @staticmethod
@@ -721,7 +721,7 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_signature_class(self):
-        class Foo(object):
+        class Foo:
             def __init__(self, a, b=3):
                 pass
 
@@ -754,7 +754,7 @@ class SpecSignatureTest(unittest2.TestCase):
     def test_class_with_no_init(self):
         # this used to raise an exception
         # due to trying to get a signature from object.__init__
-        class Foo(object):
+        class Foo:
             pass
         create_autospec(Foo)
 
@@ -769,7 +769,7 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_signature_callable(self):
-        class Callable(object):
+        class Callable:
             def __init__(self):
                 pass
             def __call__(self, a):
@@ -796,7 +796,7 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_signature_noncallable(self):
-        class NonCallable(object):
+        class NonCallable:
             def __init__(self):
                 pass
 
@@ -813,7 +813,7 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_create_autospec_none(self):
-        class Foo(object):
+        class Foo:
             bar = None
 
         mock = create_autospec(Foo)
@@ -825,7 +825,7 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_autospec_functions_with_self_in_odd_place(self):
-        class Foo(object):
+        class Foo:
             def f(a, self):
                 pass
 
@@ -835,7 +835,7 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_autospec_property(self):
-        class Foo(object):
+        class Foo:
             @property
             def foo(self):
                 return 3
@@ -852,7 +852,7 @@ class SpecSignatureTest(unittest2.TestCase):
 
 
     def test_autospec_slots(self):
-        class Foo(object):
+        class Foo:
             __slots__ = ['a']
 
         foo = create_autospec(Foo)
